package com.platform.modules.scene.service;

import java.util.Map;

public interface SceneService {
	
	Map<String, Object> queryPage(Map<String, Object> params);
	
	Map<String, Object> findById(Integer sceneId);
	
	void download(Integer sceneId, Long operatorId);
	
	Map<String, Object> queryReportPage(Map<String, Object> params);
	
	Map<String, Object> findReportById(Integer sceneId, Integer sceneReportId);
	
	void downloadReport(String title, Integer sceneId, Integer sceneReportId, Long operatorId);
	
	void downloadReportImages(String title, Integer sceneId, Integer sceneReportId, Long operatorId, String[] images);

}
